Index: sdl-game.hpp
===================================================================
--- sdl-game.hpp	(revision c1ec4f63156230af7a921799acc46120ccc4b110)
+++ sdl-game.hpp	(revision 6486ba8f42f8ee2b61912e3a96ac6921ee30292b)
@@ -93,9 +93,8 @@
 // TODO: Create a typedef for index type so I can easily change uin16_t to something else later
 // TODO: Maybe create a typedef for each of the templated SceneObject types
-template<class VertexType, class SSBOType>
+template<class VertexType>
 struct SceneObject {
    vector<VertexType> vertices;
    vector<uint16_t> indices;
-   SSBOType ssbo;
 
    mat4 model_base;
@@ -109,8 +108,8 @@
    // Move the targetAsteroid stuff out of this class since it is very specific to lasers
    // and makes moving SceneObject into its own header file more problematic
-   SceneObject<ModelVertex, SSBO_Asteroid>* targetAsteroid; // currently only used for lasers
-};
-
-// TODO: Have to figure out how to include an optional ssbo parameter for each object
+   SceneObject<ModelVertex>* targetAsteroid; // currently only used for lasers
+};
+
+// TODO: Figure out how to include an optional ssbo parameter for each object
 // Could probably use the same approach to make indices optional
 // Figure out if there are sufficient use cases to make either of these optional or is it fine to make
@@ -238,5 +237,5 @@
       // if there is a need to add other uniform variables to one or more of the shaders
 
-      vector<SceneObject<ModelVertex, SSBO_ModelObject>> modelObjects;
+      vector<SceneObject<ModelVertex>> modelObjects;
 
       UBO_VP_mats object_VP_mats;
@@ -307,8 +306,8 @@
       // stop using objects.back() to access the object that was just created
       template<class VertexType, class SSBOType>
-      SceneObject<VertexType, SSBOType>& addObject(vector<SceneObject<VertexType, SSBOType>>& objects,
-                                                   GraphicsPipeline_Vulkan<VertexType>& pipeline,
-                                                   const vector<VertexType>& vertices, vector<uint16_t> indices,
-                                                   VulkanBuffer<SSBOType>& objectBuffer, SSBOType ssbo);
+      SceneObject<VertexType>& addObject(vector<SceneObject<VertexType>>& objects,
+                                         GraphicsPipeline_Vulkan<VertexType>& pipeline,
+                                         const vector<VertexType>& vertices, vector<uint16_t> indices,
+                                         VulkanBuffer<SSBOType>& objectBuffer, SSBOType ssbo);
 
       template<class VertexType>
@@ -318,6 +317,6 @@
       vector<VertexType> addVertexNormals(vector<VertexType> vertices);
 
-      template<class VertexType, class SSBOType>
-      void centerObject(SceneObject<VertexType, SSBOType>& object);
+      template<class VertexType>
+      void centerObject(SceneObject<VertexType>& object);
 
       void renderFrame(ImDrawData* draw_data);
@@ -352,8 +351,8 @@
 // Figure out a better way to allow the model matrix to be set during object creation
 template<class VertexType, class SSBOType>
-SceneObject<VertexType, SSBOType>& VulkanGame::addObject(vector<SceneObject<VertexType, SSBOType>>& objects,
-                                                         GraphicsPipeline_Vulkan<VertexType>& pipeline,
-                                                         const vector<VertexType>& vertices, vector<uint16_t> indices,
-                                                         VulkanBuffer<SSBOType>& objectBuffer, SSBOType ssbo) {
+SceneObject<VertexType>& VulkanGame::addObject(vector<SceneObject<VertexType>>& objects,
+                                               GraphicsPipeline_Vulkan<VertexType>& pipeline,
+                                               const vector<VertexType>& vertices, vector<uint16_t> indices,
+                                               VulkanBuffer<SSBOType>& objectBuffer, SSBOType ssbo) {
    // TODO: Use the model field of ssbo to set the object's model_base
    // currently, the passed-in model is useless since it gets overridden when ssbo.model is recalculated
@@ -364,8 +363,8 @@
    }
 
-   objects.push_back({ vertices, indices, ssbo, mat4(1.0f), mat4(1.0f) });
+   objects.push_back({ vertices, indices, mat4(1.0f), mat4(1.0f) });
    objectBuffer.add(ssbo);
 
-   SceneObject<VertexType, SSBOType>& obj = objects.back();
+   SceneObject<VertexType>& obj = objects.back();
 
    // TODO: Specify whether to center the object outside of this function or, worst case, maybe
@@ -410,6 +409,6 @@
 }
 
-template<class VertexType, class SSBOType>
-void VulkanGame::centerObject(SceneObject<VertexType, SSBOType>& object) {
+template<class VertexType>
+void VulkanGame::centerObject(SceneObject<VertexType>& object) {
    vector<VertexType>& vertices = object.vertices;
 
